인라인 소스 크기 초과
API는 이 문제가 발생하면 422 Unprocessable Content 응답을 반환합니다. 응답의 type는 https://lingo.dev/docs/api/errors/inline-source-too-large입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.
"<documentKey>"의 인라인 소스는 직렬화 후 크기가 2바이트로, 아티팩트 크기 제한인 2바이트를 초과합니다. 문서를 더 작은 문서로 나누세요.
필드#
응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로, 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
documentKey | string |
bytes | integer |
maxBytes | integer |
예시#
json
{
"detail": "The inline source of \"<documentKey>\" is 2 bytes once serialized, over the 2-byte artifact limit. Split the document into smaller ones.",
"documentKey": "<documentKey>",
"bytes": 2,
"maxBytes": 2,
"type": "https://lingo.dev/docs/api/errors/inline-source-too-large",
"status": 422,
"title": "Inline source too large"
}이 오류를 반환하는 엔드포인트#
POST /v2/organizations/{orgId}/localization/estimatesPOST /v2/organizations/{orgId}/localization/jobs